teamviewer 14 gui won't start centos 7.2 qt5-qtwebkit up to date qt5-qtwebkit-5.9.1-1.el7.x86_64

Posted by tangelo
Henagon

teamviewer 14 gui won't start centos 7.2 qt5-qtwebkit up to date qt5-qtwebkit-5.9.1-1.el7.x86_64

 

ref:

https://community.teamviewer.com/t5/TeamViewer-13/Won-t-open-after-update-to-13-on-Centos-7/td-p/257...

Not sure what i'm missing here sorry, it appears required plugin is installed but dependencies still missing?

 

cheers

 

[root@zed ~]# yum install qt5-qtwebkit
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: mirror.xnet.co.nz
 * epel: mirror.xnet.co.nz
 * extras: mirror.xnet.co.nz
 * rpmfusion-free-updates: ucmirror.canterbury.ac.nz
 * rpmfusion-nonfree-updates: ucmirror.canterbury.ac.nz
 * updates: mirror.xnet.co.nz
Package qt5-qtwebkit-5.9.1-1.el7.x86_64 already installed and latest version
Nothing to do
[root@zed ~]# ldd /opt/teamviewer/tv_bin/TeamViewer | grep 'not found'
    libQt5Widgets.so.5 => not found
    libQt5Gui.so.5 => not found
    libQt5Gui.so.5 => not found
    libQt5Widgets.so.5 => not found
    libQt5Gui.so.5 => not found
    libQt5Sensors.so.5 => not found
    libQt5Positioning.so.5 => not found
    libQt5PrintSupport.so.5 => not found
    libQt5OpenGL.so.5 => not found
    libQt5Gui.so.5 => not found
    libQt5Sensors.so.5 => not found
    libQt5Positioning.so.5 => not found
    libQt5WebChannel.so.5 => not found
    libQt5Gui.so.5 => not found
[root@zed ~]# /opt/teamviewer/tv_bin/TeamViewer
/opt/teamviewer/tv_bin/TeamViewer: error while loading shared libraries: libQt5Widgets.so.5: cannot open shared object file: No such file or directory
[root@zed ~]#teamviewer

Init...
CheckCPU: SSE2 support: yes
Checking setup...
Launching TeamViewer ...
Launching TeamViewer GUI ...
[root@zed ~]#

 

and then nothing happens...... daemon started, teamviewer info returns the expected teamviewer ID,  (from v11) machine showing online but unable to connect to it remotely.

previous steps..... uninstalled old teamviewer version with:

[root@zed ~]# rpm -e teamviewer-12.0.85001-0.i686
Removed symlink /etc/systemd/system/multi-user.target.wants/teamviewerd.service.
Clearing assignments ...
done
gtk-update-icon-cache: Cache file created successfully.
[root@zed ~]#

then installed...

[root@zed ~]# yum install /Volumes/staff_stuff/_SOFTWARE/teamviewer/v14/teamviewer_14.1.3399.x86_64.rpm
Loaded plugins: fastestmirror, langpacks
Examining /Volumes/staff_stuff/_SOFTWARE/teamviewer/v14/teamviewer_14.1.3399.x86_64.rpm: teamviewer-14.1.3399-0.x86_64
Marking /Volumes/staff_stuff/_SOFTWARE/teamviewer/v14/teamviewer_14.1.3399.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package teamviewer.x86_64 0:14.1.3399-0 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================================================================================
 Package                                    Arch                                   Version                                       Repository                                                    Size
====================================================================================================================================================================================================
Installing:
 teamviewer                                 x86_64                                 14.1.3399-0                                   /teamviewer_14.1.3399.x86_64                                  61 M

Transaction Summary
====================================================================================================================================================================================================
Install  1 Package

Total size: 61 M
Installed size: 61 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Warning: RPMDB altered outside of yum.
** Found 20 pre-existing rpmdb problem(s), 'yum check' output follows:
AdobeReader_enu-8.1.3-1.i486 has missing requires of libatk-1.0.so.0
AdobeReader_enu-8.1.3-1.i486 has missing requires of libgdk-x11-2.0.so.0
AdobeReader_enu-8.1.3-1.i486 has missing requires of libGLU.so.1
AdobeReader_enu-8.1.3-1.i486 has missing requires of libgtk-x11-2.0.so.0
cuda-libraries-dev-10-0-10.0.130-1.x86_64 has missing requires of cuda-misc-headers-10-0 >= ('0', '10.0.130', None)
cuda-nvcc-10-0-10.0.130-1.x86_64 has missing requires of cuda-misc-headers-10-0 >= ('0', '10.0.130', None)
1:dbus-devel-1.6.12-13.el7.i686 has missing requires of dbus = ('1', '1.6.12', '13.el7')
1:dbus-libs-1.10.24-12.el7.x86_64 is a duplicate with 1:dbus-libs-1.6.12-13.el7.i686
3:dkms-nvidia-410.79-1.el7.x86_64 has installed conflicts nvidia-kmod: 3:dkms-nvidia-410.79-1.el7.x86_64
fontconfig-2.13.0-4.3.el7.x86_64 is a duplicate with fontconfig-2.10.95-7.el7.i686
freetype-2.8-12.el7.x86_64 is a duplicate with freetype-2.4.11-11.el7.i686
kde-settings-kdm-4.9-22.fc18.noarch has missing requires of system-kdm-theme >= ('0', '17.91', None)
krb5-libs-1.15.1-34.el7.i686 is a duplicate with krb5-libs-1.14.1-27.el7_3.x86_64
libgcc-4.8.5-36.el7.x86_64 is a duplicate with libgcc-4.8.5-4.el7.i686
libstdc++-4.8.5-36.el7.x86_64 is a duplicate with libstdc++-4.8.5-4.el7.i686
libuuid-2.23.2-59.el7.x86_64 is a duplicate with libuuid-2.23.2-26.el7.i686
1Smiley Surprisedpenssl-libs-1.0.2k-16.el7.i686 is a duplicate with 1Smiley Surprisedpenssl-libs-1.0.2k-12.el7.x86_64
pango-1.42.4-1.el7.i686 has missing requires of fontconfig(x86-32) >= ('0', '2.11.91', None)
python34-libs-3.4.9-1.el7.x86_64 has missing requires of /usr/bin/python3.4
zlib-1.2.7-18.el7.x86_64 is a duplicate with zlib-1.2.7-15.el7.i686
  Installing : teamviewer-14.1.3399-0.x86_64                                                                                                                                                    1/1
gtk-update-icon-cache: Cache file created successfully.
  Verifying  : teamviewer-14.1.3399-0.x86_64                                                                                                                                                    1/1

Installed:
  teamviewer.x86_64 0:14.1.3399-0                                                                                                                                                                   

Complete!
[root@zed ~]#

not sure what to try next, any suggestions would be more than welcome, and, finally will this then be an issue when upgrading to centos 7.4?

 

Many Thanks